Bug 167770 - Drop up2date and rhn-applet before FC5
Drop up2date and rhn-applet before FC5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-07 18:12 EDT by Rahul Sundaram
Modified: 2014-03-16 22:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-03 15:08:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2005-09-07 18:12:13 EDT
Description of problem:


up2date ships as a alternative to Yum in Fedora. Yum is under active development
and is getting integrated with Anaconda, system-config-packages, pup updater
etc. There is completely useless deamon rhnsd supplied with up2date.

Pup replaces rhn-applet as a updater which doesnt support repomd format (see
160873) which is a open issue


Expected results:

Drop off up2date and rhn-applet before FC5 release. If it really needs to be
maintained moving them to Fedora Extras repository would be good
Comment 1 Bill Nottingham 2005-09-07 21:19:40 EDT
Huh? pup doesn't necessarily replace the applet. At least not until it's written. :)
Comment 2 Rahul Sundaram 2005-09-07 21:24:22 EDT
The development tree has pup. Now its only the technical question of making it
work. rhn-applet in FC4 doesnt work either for that matter ;-)
Comment 3 Paul W. Frields 2005-11-13 18:01:21 EST
I second your motion, Rahul.  See the official documentation -- we even
recommend yum for all users!  I am using pup on my test Rawhide box and it works
as well as yum, albeit with slightly less feedback than desired.  For instance,
when there is a conflict of some sort, pup simply quits without issuing any
information to the user.  (Of course, any such dialog should be written without
making it necessary for people to go look up what a dependency is, or what
causes RPM conflicts... but that's another bug.)

The question would remain as to what alerts the user that updates are available.
 Currently, the user must launch pup to find whether such updates exist, while
the rhn-applet reports this in the Notification Area.

I'm not sure why up2date was never issued an update in FC4 -- a simple one-line
change of the /usr/share/rhn/up2date_client/sourcesConfig.py file -- to make it
work correctly.  It was a fugly hack, but would have stifled user problems until
a slick pup changeover happened.
Comment 4 jim 2006-01-12 20:57:07 EST
how about redirecting the applet to use yum or pup? 
GYUM Update Alert Notification Tool (gyum-applet) 
http://fedoranews.org/tchung/gyum/2.0/ 
Instead of it being used with gyum  (memory hog) tie it to yum 

Just a thought 
Comment 5 Roozbeh Pournader 2006-01-17 06:25:00 EST
BTW, I also wrote a spec based on what Seth suggested:

http://fedoraproject.org/wiki/YumApplet

Comment 6 Igor Jagec 2006-01-17 10:03:13 EST
It would be very nice, but there is a problem. Well, Yum doesn't support 
rollbacks, rpm and up2date does. And the Yum guys doesn't seem to be interested 
in implementing that feature, although Yum can repackage all updated or erased 
packages thoe. Yum doesn't provide features like 'up2date --list-rollbacks' or 
'up2date --undo'. I would definitely like you to drop up2date, and especially 
rhn-applet, but it would be very nice if we all try to make Yum guys to provide 
that rollback feature :)

Maybe it would not be a bad idea to make up2date into Extras for now and to 
remove it when Yum guys provide us the rollback feature. I hope they will do 
that.

Cheers!
Comment 7 Igor Jagec 2006-01-17 10:06:16 EST
(In reply to comment #6)

> Maybe it would not be a bad idea to make up2date into Extras for now and to 
> remove it when Yum guys provide us the rollback feature. I hope they will do 
> that.

I meant: to push at least up2date into Extras.
Comment 8 Rahul Sundaram 2006-03-03 15:08:48 EST

I see that rawhide 20060303 drops up2date and rhn-applet. Thank you. 

Note You need to log in before you can comment on or make changes to this bug.